# $NetBSD: pkg_comp.conf,v 1.1 2017/02/17 21:27:38 jmmv Exp $

# pkg_comp.conf(5) configuration file for unattended pkgsrc builds.

# Remote VCS configuration.
FETCH_VCS=cvs
#CVS_ROOT=:ext:anoncvs@anoncvs.NetBSD.org:/cvsroot
#CVS_TAG=pkgsrc-2017Q1
#GIT_URL=https://github.com/jsonn/pkgsrc.git
#GIT_BRANCH=trunk

# Host file layout.
PKGSRCDIR="/var/pkg_comp/pkgsrc"
DISTDIR="/var/pkg_comp/distfiles"
PACKAGES="/var/pkg_comp/packages"
PBULK_PACKAGES="/var/pkg_comp/pbulk-packages"
EXTRA_MKCONF="/var/pkg_comp/extra.mk.conf"
SANDBOX_CONFFILE="/var/pkg_comp/sandbox.conf"

# Target file layout.
LOCALBASE="/usr/pkg"
PKG_DBDIR="${LOCALBASE}/libdata/pkgdb"
SYSCONFDIR="/etc"
VARBASE="/var"

# List of packages to build during automatic execution.  We source these
# from a separate file for simplicity, as maintaining a long list of
# package names in a shell variable can be cumbersome.
AUTO_PACKAGES="$(grep -v '^#' '/var/pkg_comp/list.txt')"
